Index: trunk/expressoMail1_2/docs/change_log.txt
===================================================================
--- trunk/expressoMail1_2/docs/change_log.txt	(revision 2)
+++ trunk/expressoMail1_2/docs/change_log.txt	(revision 6)
@@ -45,5 +45,5 @@
 - Adicionada função replace_links na classe imap_functions, que será utilizada futuramente para habilitar links dentro das mensagens.
 
-19/03/2007 - [1.2028]
+29/03/2007 - [1.2028]
 - Corrigido problema ao encaminhar mensagens com anexos, pois não preservava o encoding original (base64,qprint,text).
 - Corrigido problema ao fazer download de anexos com extensão em caixa alta e com "." (pontos) no seu nome.
@@ -52,2 +52,5 @@
 - Incluído validação do email a ser bloqueado pelo botão "Bloquear Remetente".
 - Incluído validação do email ao criar um regra na opção Filtros.
+- Corrigido problema que dava nas preferências do usuário, com a pasta de mensagens Enviadas. Quando mudava o cyrus delimiter
+no Expresso ("." ou "/"), a pasta de Enviados salva no banco ficava com delimitador diferente do atual, dando problema ao salvar
+mensagens enviadas e ao abrir janela de Preferências.
Index: trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 2)
+++ trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6)
@@ -389,4 +389,5 @@
 			foreach($msg->pid[$msg_number] as $values => $msg_part)
 			{
+				
 				$file_type = strtolower($msg->file_type[$msg_number][$values]);
 				if($file_type == "message/rfc822")
@@ -656,4 +657,8 @@
 		*/
 
+		// Layout problem: Change html elements 
+		// with absolute position to relate position, CASE INSENSITIVE. 
+		$body = @eregi_replace("POSITION: ABSOLUTE;","",$body);
+
 		$tag_list = Array('head','blink','object','frame',
 			'iframe','layer','ilayer','plaintext','script',
@@ -677,5 +682,5 @@
 		//$body = @ereg_replace('[a-zA-Z]+://(([.]?[a-zA-Z0-9_/-])*)', '<a href="\\0" title="'.$this->functions->getLang("Open in New Window").'">\\0</a>',$body);	  
   		//Search for emails, then open a new message tab.
-  		//$body = @ereg_replace('[a-zA-Z0-9!#$%&\'*+/=?^_`{|}~]+@([.]?[a-zA-Z0-9_/-])*', '<a title=\''.$this->functions->getLang("New Message").' -> \\0\'" onclick="Element(\'msg_number\').value=\'\\0\';new_message(\'new\',\'null\')" href="#">\\0</a>',$body);
+  		//$body = @ereg_replace('[a-zA-Z0-9!#$%&\'*+/=?^_`{|}~]+@([.]?[a-zA-Z0-9_/-])*', '<a title=\''.$this->functions->getLang("New Message").' -> \\0\'" onclick="Element(\'msg_number\').value=\'\\0\';new_message(\'new\',\'null\')" href="#">\\0</a>',$body);  		
   		$matches = array();
 		// Verify exception.
@@ -1062,7 +1067,10 @@
 		$forwarding_attachments = $params['forwarding_attachments'];
 		$folder = $params['folder'];
-		$folder_name = $params['folder_name'];
-		$folder = @eregi_replace("INBOX/", "INBOX.", $folder);
-		
+		$folder_name = $params['folder_name'];		
+		// Fix problem with cyrus delimiter changes.
+		// Dots in names: enabled/disabled.				
+		$folder = @eregi_replace("INBOX/", "INBOX".$this->imap_delimiter, $folder);
+		$folder = @eregi_replace("INBOX.", "INBOX".$this->imap_delimiter, $folder);
+		// End Fix.
 		if ($folder != 'null'){
 			$mail->SaveMessageInFolder = $folder;
Index: trunk/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 2)
+++ trunk/expressoMail1_2/index.php	(revision 6)
@@ -10,5 +10,4 @@
 	include('../header.inc.php');
 	$update_version = $GLOBALS['phpgw_info']['flags']['update_version'];
-	
 	echo "<script src='js/globals.js?".$update_version."' type='text/javascript'></script>";
 	echo "<script src='js/sniff_browser.js?".$update_version."' type='text/javascript'></script>";
@@ -39,5 +38,5 @@
     		'font_size' 						=> $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['font_size'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['font_size'] : "11"
 	);
-		
+	
 	$template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 	$template->set_var("txt_loading",lang("Loading"));
@@ -50,4 +49,10 @@
 	$template->set_var("user_organization", $acc->get_organization($GLOBALS['phpgw_info']['user']['account_dn']));
 	$template->set_var("cyrus_delimiter",$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter']);	
+	// Fix problem with cyrus delimiter changes in preferences.
+	// Dots in names: enabled/disabled.
+	$save_in_folder = @eregi_replace("INBOX/", "INBOX".$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter'], $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder']);
+	$save_in_folder = @eregi_replace("INBOX.", "INBOX".$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter'], $save_in_folder);
+	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder'] = $save_in_folder;
+	// End Fix.
 	
 	$template->set_file(Array('expressoMail' => 'index.tpl'));