Index: /trunk/phpgwapi/templates/celepar/head.inc.php
===================================================================
--- /trunk/phpgwapi/templates/celepar/head.inc.php	(revision 2)
+++ /trunk/phpgwapi/templates/celepar/head.inc.php	(revision 12)
@@ -32,5 +32,5 @@
 
 	#_debug_array($GLOBALS['phpgw_info']['user']['preferences']['common']);
-	$theme_css = $GLOBALS['phpgw_info']['server']['webserver_url'] . '/phpgwapi/templates/celepar/css/'.$GLOBALS['phpgw_info']['user']['preferences']['common']['theme'].'.css';
+	$theme_css = ".".$GLOBALS['phpgw_info']['server']['webserver_url'] . '/phpgwapi/templates/celepar/css/'.$GLOBALS['phpgw_info']['user']['preferences']['common']['theme'].'.css';
 	if(!file_exists($theme_css))
 	{
Index: /trunk/contactcenter/doc/change_log.txt
===================================================================
--- /trunk/contactcenter/doc/change_log.txt	(revision 2)
+++ /trunk/contactcenter/doc/change_log.txt	(revision 12)
@@ -8,2 +8,8 @@
 contactcenter/templates/default. Essa alteraçao foi feita para corrigir bug que ocorre qdo
 se cria um template com nome diferente de celepar.
+
+02/04/2007 - [1.0.006]
+- Código que carrega foto do usuário, vindo do LDAP, foi alterado para usar o cache do navegador,
+diminuindo o acesso ao LDAP;
+- Código que filtra para buscar os grupos de usuários foi comentado, pois dá problema na visualização.
+Atualmente o Catálogo de Endereços só lista usuários e listas.
Index: /trunk/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 2)
+++ /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 12)
@@ -627,9 +627,9 @@
 										'value' => 'u'
 										),
-										1 => array(
+										/*1 => array(
 										'field' => 'contact.account_type',
 										'type'  => '=',
 										'value' => 'g'
-										),
+										),*/
 										2 => array(
 										'field' => 'contact.account_type',
@@ -709,9 +709,9 @@
 									'value' => 'u'
 									),
-									1 => array(
+									/*1 => array(
 									'field' => 'contact.account_type',
 									'type'  => '=',
 									'value' => 'g'
-									),
+									),*/
 									2 => array(
 									'field' => 'contact.account_type',
@@ -1032,8 +1032,8 @@
 
 				//	If contact is a public list, then load the forwarding addresses.
-				if($contact['account_type'][0] == 'l')
-					$final[3][$i][7] = array();
-
-					$final[4][$i] = $contact['photo'] ? 1 : 0;
+					if($contact['account_type'][0] == 'l')
+						$final[3][$i][7] = array();
+
+					$final[4][$i] = $contact['photo'] ? 1  : 0;
 					$i++;
 				}
@@ -1902,5 +1902,4 @@
 			return;
 		}
-
 		
 		/*!
Index: /trunk/contactcenter/js/cc.js
===================================================================
--- /trunk/contactcenter/js/cc.js	(revision 2)
+++ /trunk/contactcenter/js/cc.js	(revision 12)
@@ -1903,12 +1903,5 @@
 								var id_contact = data[3][pos][k];
 								Element(id+':'+data[2][k]).value = data[3][pos][k];
-								if (data[4][pos] == 1)
-								{
-									Element(id+':cc_photo').src = '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_photo&id='+data[3][pos][k]+'&none=' + Math.random();
-								}
-								else
-								{
-									Element(id+':cc_photo').src = '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_photo';
-								}
+								Element(id+':cc_photo').src = '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_photo' + (data[4][pos] != 0 ? '&id='+data[3][pos][k] : '');
 								if(ccTree.catalog_perms == 1)
 									Element(id+':cc_icon_data').innerHTML =  '<span title="Copiar para o Catálogo Pessoal" id="' + id + ':ccQuickAdd" onmouseout="window.status=\'\';" onclick="ccQuickAddContact.showList(\''+ Element(id+':cc_id').value + '\');return true;" style="cursor: pointer; cursor: hand; z-index: 1"><img src="templates/default/images/address-conduit-16.png" align="center"></span>';
Index: /trunk/expressoMail1_2/docs/change_log.txt
===================================================================
--- /trunk/expressoMail1_2/docs/change_log.txt	(revision 10)
+++ /trunk/expressoMail1_2/docs/change_log.txt	(revision 12)
@@ -60,2 +60,3 @@
 mensagem, o atributo charset vinha em branco e ficava em outro lugar não padrão (parameters).
 em outro parametro não padrão.
+- Adicionada funcionalidade que compatibiliza mensagens encapsuladas, e com formato 7bit, serem visualizadas no ExpressoMail.
Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 12)
@@ -420,5 +420,6 @@
 
 				}
-				else if($file_type == "message/rfc822"){					
+				else if($file_type == "message/rfc822"){
+					
 					include_once("class.imap_attachment.inc.php");
 					$att = new imap_attachment();
@@ -610,5 +611,8 @@
         	$body = base64_decode($body);
     	}
-    	
+    	else if ($encoding == '7bit') 
+    	{
+        	$body = quoted_printable_decode($body);
+    	}
 		// All other encodings are returned raw.
 		if (strtolower($charset) == "utf-8")