Index: trunk/phpgwapi/templates/celepar/login.tpl
===================================================================
--- trunk/phpgwapi/templates/celepar/login.tpl	(revision 2)
+++ trunk/phpgwapi/templates/celepar/login.tpl	(revision 16)
@@ -12,31 +12,14 @@
 <script language="Javascript">
 <!--
-	function submitIt(event){
-		/*if(event.keyCode == 13)
-			document.login.submit();*/		
-	}
 
-	function setLogin(){
-		if( document.login.organization != null)
-			document.login.login.value = document.login.organization.value+'-'+document.login.user.value;
-		else
-			document.login.login.value = document.login.user.value;			
-	}
-	
 	function getLogin(){
 		var cookie = '{cookie}';
-		if( document.login.organization != null)
-			document.login.user.value= cookie.substring(cookie.indexOf('-')+1,cookie.length);
-		else	
-			document.login.user.value= cookie;
+		document.form_login.login.value = cookie;
 
-		if(document.login.user.value == '') {
-			if(document.login.organization != null)
-				document.login.organization.focus();
-			else
-				document.login.user.focus();
+		if(document.form_login.login.value == '') {
+			document.form_login.login.focus();
 		}
 		else
-			document.login.passwd.focus();
+			document.form_login.passwd.focus();
 	}
 	
@@ -62,27 +45,26 @@
         <table border="0" bordercolor="#cfcfcf" cellpadding="0" cellspacing="0" width="300">
           <tbody><tr>
-				<FORM name="login" method="post" action="{login_url}" {autocomplete}>
+				<FORM name="form_login" method="post" action="{login_url}" {autocomplete}>
 				<input type="hidden" name="passwd_type" value="text">
-				<input type="hidden" name="login"><tr><td width="60%">&nbsp;</td><td>
-				<input type="hidden" name="account type" value="u">          
+				<input type="hidden" name="account type" value="u">
+				<tr><td width="60%">&nbsp;</td><td>				          
             	<td bgcolor="#f7f7f7" style="border:1px solid black">
-					<table  border="0" cellpadding="0" cellspacing="0" class="tableLogin">
-						<tr><td height="2px">&nbsp;</td></tr>
-						{select_organization}
-					  <tr>
-						<td width="96" class="loginLabel">{lang_username}:&nbsp;</td>
-						<td width="105"><input name="user" size="15"></td>
-						<td>{select_domain}</td>
-						<td width="43" rowspan="3"><img src="phpgwapi/templates/celepar/images/icon_login.gif" width="43" height="64"></td>
+					<table border="0" cellpadding="0" cellspacing="0" class="tableLogin">
+						<tr><td width="96" colspan="3">&nbsp;</td></tr>												
+						<tr><td width="96" class="loginLabel" align="right">Organização:&nbsp;</td>
+						<td align="left" style="font-weight:bold" class="loginLabel" colspan=2><a style="font-weight:normal;font-decoration:none;text-decoration:none" href="javascript:void(0)" onclick="alert('Não é preciso mais selecionar a Organização.\r\n Digite apenas o usuário e a senha!')" onmouseover="this.style.cursor='help'"> automático</a></td>
+					    <tr><td width="96" class="loginLabel" align="right">{lang_username}:&nbsp;</td>
+						<td width="96"><input name="login" size="15"></td>
+						<td width="43" rowspan="3" colspan=2><img src="phpgwapi/templates/celepar/images/icon_login.gif" width="43" height="64"></td>
 					  </tr>
 					  <tr>
-						<td width="66" class="loginLabel">{lang_password}:&nbsp;</td>
-						<td width="135"><input name="passwd" type="password" size="15" onKeyDown="javascript:submitIt(event)"></td>
-						<td>&nbsp;</td>		
+						<td width="96" class="loginLabel"  align="right">{lang_password}:&nbsp;</td>
+						<td width="135"><input name="passwd" type="password" size="15"></td>
+
 					  </tr>
 					  <tr>
 						<td width="66">&nbsp;</td>
 						<td width="135">
-						  <input type="submit" value="{lang_login}" name="submitit" class=button onClick="javascript:setLogin()">
+						  <input type="submit" value="{lang_login}" name="submitit" class=button>
 						</td>
 						</tr>
Index: trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 13)
+++ trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 16)
@@ -200,5 +200,5 @@
 
 			// Pega combo das organizações e seleciona, caso seja um post, o setor que o usuario selecionou.
-			$sectors = $this->functions->get_organizations($manager_context);
+			$sectors = $this->functions->get_organizations2($manager_context);
 
 			// Chama funcao para criar lista de aplicativos disponiveis.
@@ -361,5 +361,5 @@
 							
     		// ORGANIZATIONS
-    		$orgs = $this->functions->get_organizations($manager_context, $user_info['context']);
+    		$orgs = $this->functions->get_organizations2($manager_context, $user_info['context']);
 
 			// GROUPS.
Index: trunk/expressoAdmin1_2/inc/class.uigroups.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 2)
+++ trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 16)
@@ -188,6 +188,6 @@
 
 			// Pega combo das organizações e seleciona um dos setores em caso de um erro na validaçao dos dados.
-			$combo_manager_org = $this->functions->get_organizations($manager_context, trim(strtolower($group_info['context'])));
-			$combo_all_orgs = $this->functions->get_organizations($GLOBALS['phpgw_info']['server']['ldap_context'], trim(strtolower($group_info['context'])));
+			$combo_manager_org = $this->functions->get_organizations2($manager_context, trim(strtolower($group_info['context'])));
+			$combo_all_orgs = $this->functions->get_organizations2($GLOBALS['phpgw_info']['server']['ldap_context'], trim(strtolower($group_info['context'])));
 			
 			// Chama funcao para criar lista de aplicativos disponiveis.
@@ -250,6 +250,6 @@
 
 			// Pega combo das organizações e seleciona a org do grupo.
-			$combo_manager_org = $this->functions->get_organizations($manager_context, trim(strtolower($group_info['context'])));
-			$combo_all_orgs = $this->functions->get_organizations($GLOBALS['phpgw_info']['server']['ldap_context'], trim(strtolower($group_info['context'])));
+			$combo_manager_org = $this->functions->get_organizations2($manager_context, trim(strtolower($group_info['context'])));
+			$combo_all_orgs = $this->functions->get_organizations2($GLOBALS['phpgw_info']['server']['ldap_context'], trim(strtolower($group_info['context'])));
 
 			// Usuarios do grupo.
Index: trunk/expressoAdmin1_2/inc/class.user.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 9)
+++ trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 16)
@@ -500,5 +500,5 @@
 						$ldap_mod_replace['loginShell']		= '/bin/bash';
 						$ldap_add['sambaSID']				= $this->current_config['expressoAdmin_sambaSID'] . '-' . ((2 * $new_values['uidnumber'])+1000);
-						$ldap_add['sambaPrimaryGroupSID']	= $this->current_config['expressoAdmin_sambaSID'] . '-' . ((2 * $new_values['gidNumber'])+1001);
+						$ldap_add['sambaPrimaryGroupSID']	= $this->current_config['expressoAdmin_sambaSID'] . '-' . ((2 * $new_values['gidnumber'])+1001);
 						$ldap_add['sambaAcctFlags']			= $new_values['sambaacctflags'];
 						$ldap_add['sambaLogonScript']		= $new_values['sambalogonscript'];
Index: trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 11)
+++ trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 16)
@@ -526,5 +526,5 @@
 		$justthese = array("gidnumber","cn");
 		$filter="(&(phpgwAccountType=g)(memberuid=".$result['uid']."))";
-		$search = ldap_search($this->ldap, $context, $filter, $justthese);
+		$search = ldap_search($this->ldap, $GLOBALS['phpgw_info']['server']['ldap_context'], $filter, $justthese);
     	ldap_sort($this->ldap, $search, "cn");
     	$entries = ldap_get_entries($this->ldap, $search);
Index: trunk/expressoAdmin1_2/inc/class.functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.functions.inc.php	(revision 13)
+++ trunk/expressoAdmin1_2/inc/class.functions.inc.php	(revision 16)
@@ -341,4 +341,79 @@
 		}
 		
+		function get_organizations2($context, $selected='')
+		{
+			$dn			= $GLOBALS['phpgw_info']['server']['ldap_root_dn'];
+			$passwd		= $GLOBALS['phpgw_info']['server']['ldap_root_pw'];
+			$ldap_conn	= ldap_connect($GLOBALS['phpgw_info']['server']['ldap_host']);
+			
+			ldap_set_option($ldap_conn, LDAP_OPT_PROTOCOL_VERSION, 3);
+			ldap_set_option($ldap_conn, LDAP_OPT_REFERRALS, 0);
+			ldap_bind($ldap_conn,$dn,$passwd);
+			
+			$justthese = array("dn");
+			$search=ldap_search($ldap_conn, $context, "ou=*", $justthese);
+        	
+        	ldap_sort($ldap_conn, $search, "ou");
+        	$info = ldap_get_entries($ldap_conn, $search);
+			ldap_close($ldap_conn);
+
+			// Retiro o count do array info e inverto o array para ordenação.
+	        for ($i=0; $i<$info["count"]; $i++)
+    	    {
+				$dn = $info[$i]["dn"];
+				
+				// Necessário, pq em uma busca com ldapsearch ou=*, traz tb o próprio ou. 
+				if (strtolower($dn) == $context)
+					continue;
+
+				$array_dn = ldap_explode_dn ( $dn, 1 );
+
+                $array_dn_reverse  = array_reverse ( $array_dn, true );
+
+				array_pop ( $array_dn_reverse );
+
+				$inverted_dn[$dn] = implode ( ".", $array_dn_reverse );
+			}
+
+			// Ordenação
+			natcasesort($inverted_dn);
+			
+			// Construção do select
+			$level = 0;
+			foreach ($inverted_dn as $dn=>$invert_ufn)
+			{
+                $display = '';
+
+                $array_dn_reverse = explode ( ".", $invert_ufn );
+                $array_dn  = array_reverse ( $array_dn_reverse, true );
+
+                $level = count( $array_dn ) - 4;
+
+                if ($level == 0)
+                        $display .= '+';
+                else {
+                        for ($i=0; $i<$level; $i++)
+                                $display .= '---';
+                }
+
+                reset ( $array_dn );
+                $display .= ' ' . (current ( $array_dn ) );
+				
+				$dn = trim(strtolower($dn));
+				if ( $dn == $selected )
+					$select = ' selected';
+				else
+					$select = '';
+                $options .= "<option value='$dn'$select>$display</option>";
+        	}
+
+			// Cria a primeira entrada na combo 
+			$first_sector_ufn = ldap_dn2ufn($context);
+			$first_sector_string = split(",", $first_sector_ufn);
+			$options = "<option value='$context'>" . strtoupper($first_sector_string[0]) . "</option>" . $options;
+
+    	    return $options;
+		}
+		
 		function get_sectors($context, $selected='')
 		{
Index: trunk/expressoAdmin1_2/index.php
===================================================================
--- trunk/expressoAdmin1_2/index.php	(revision 2)
+++ trunk/expressoAdmin1_2/index.php	(revision 16)
@@ -26,4 +26,6 @@
 	$_SESSION['phpgw_info']['expresso']['ldap_server'] = $ldap_manager ? $ldap_manager->srcs[1] : null;
 	$_SESSION['phpgw_info']['expresso']['expressoAdmin'] = $current_config;
+	$_SESSION['phpgw_info']['expresso']['global_denied_users'] = $GLOBALS['phpgw_info']['server']['global_denied_users'];
+	$_SESSION['phpgw_info']['expresso']['global_denied_groups'] = $GLOBALS['phpgw_info']['server']['global_denied_groups'];
 	
 	$template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
Index: trunk/contactcenter/doc/change_log.txt
===================================================================
--- trunk/contactcenter/doc/change_log.txt	(revision 13)
+++ trunk/contactcenter/doc/change_log.txt	(revision 16)
@@ -17,3 +17,6 @@
 resultado, procurado pelo UID. Agora a busca é feita através do seu DN, devido aos referrals.
 
+24/04/2007 - [1.13]
+- Foi adicionado importação e exportação aos contatos do outlook 2000 (em inglês e português)
+- Foi adicionado a importação e exportação com suporte ao campo de telefone. Em todos os tipos de arquivos.
 
Index: trunk/contactcenter/inc/class.so_group.inc.php
===================================================================
--- trunk/contactcenter/inc/class.so_group.inc.php	(revision 2)
+++ trunk/contactcenter/inc/class.so_group.inc.php	(revision 16)
@@ -112,10 +112,11 @@
 		function selectAllContacts()
 		{
-			$query = 'select C.id_connection, A.id_contact, A.names_ordered, C.connection_value from phpgw_cc_contact A,'.
+						
+			$query = 'select C.id_connection, A.id_contact, A.names_ordered, C.connection_value , B.id_typeof_contact_connection from phpgw_cc_contact A,'.
 			'phpgw_cc_contact_conns B, phpgw_cc_connections C where '.
-			'A.id_contact = B.id_contact and B.id_connection = C.id_connection '.
-			'and B.id_typeof_contact_connection = 1 and '.
+			'A.id_contact = B.id_contact and B.id_connection = C.id_connection and '.
 			'A.id_owner ='.$this->owner.' order by A.names_ordered';
-						
+
+					
 			if (!$this->db->query($query))
 			{
Index: trunk/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- trunk/contactcenter/inc/class.ui_data.inc.php	(revision 15)
+++ trunk/contactcenter/inc/class.ui_data.inc.php	(revision 16)
@@ -1895,6 +1895,6 @@
 			$width = imagesx($photo);
 			$height = imagesy($photo);
-			$twidth = 80;
-			$theight = 106;
+			$twidth = 70;
+			$theight = 90;
 			$small_photo = imagecreatetruecolor ($twidth, $theight);
 			imagecopyresampled($small_photo, $photo, 0, 0, 0, 0,$twidth, $theight, $width, $height);
@@ -2415,4 +2415,17 @@
 				echo null;
 
+
+			// Essa iteração transforma uma esturuta com contatos redundantes e separados por email ou tel.
+			// em outra com apenas 1 elemento pra cada contato
+			$i=0;
+			foreach($contacts as $object){
+				$i=($object['id_contact'] - 1);
+				$all_contacts[$i]['name']=$object['names_ordered'];
+				if ($object['id_typeof_contact_connection'] == 1)
+					$all_contacts[$i]['email']=$object['connection_value'];
+				else
+					$all_contacts[$i]['phone']=$object['connection_value'];
+			}
+			
 			switch($typeExport) {
 
@@ -2420,6 +2433,6 @@
 					$streamBuffer = "Name;E-mail Address;Notes;Mobile Phone;Pager;Company;".
 							"Job Title;Home Phone;Home Fax;Business Phone;Business Fax\r\n";							
-					foreach($contacts as $index => $object){
-						$streamBuffer.= $object['names_ordered'].";".$object['connection_value'].";;;;;;;;;\r\n";
+					foreach($all_contacts as $index => $object){
+						$streamBuffer.= $object['name'].";".$object['email'].";;;;;;".$object['phone'].";;;\r\n";
 					}
 				break;
@@ -2432,6 +2445,6 @@
 					"CEP do endereço comercial;Estado do endereço comercial;".
 					"País/região do endereço comercial;Telefone comercial;Empresa;Cargo\r\n";							
-					foreach($contacts as $index => $object){
-						$streamBuffer.= $object['names_ordered'].";".$object['connection_value'].";;;;;;;;;;;;;;\r\n";
+					foreach($all_contacts as $index => $object){
+						$streamBuffer.= $object['name'].";".$object['email'].";;;;;;".$object['phone'].";;;;;;;;\r\n";
 					}
 				break;
@@ -2456,6 +2469,6 @@
 					"\"Personalizado 3\",\"Personalizado 4\",\"Prioridade\",\"Profissão\",\"Quilometragem\",\"Sala\",\"Sensibilidade\",\"Servidor de diretório\",".
 					"\"Sexo\"\r\n";
-					foreach($contacts as $index => $object){
-						$streamBuffer.= ",\"".$object['names_ordered']."\",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,\"".$object['connection_value']."\",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,\r\n";
+					foreach($all_contacts as $index => $object){
+						$streamBuffer.= ",\"".$object['name']."\",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,".$object['phone'].",,,,,,,,,,,,\"".$object['email']."\",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,\r\n";
 					}
 				break;
@@ -2472,6 +2485,6 @@
 					"Gender,Government ID Number,Hobby,Initials,Internet Free Busy,Keywords,Language,Location,Manager's Name,Mileage,Notes,".
 					"Office Location,Organizational ID Number,PO Box,Priority,Private,Profession,Referred By,Sensitivity,Spouse,User 1,User 2,User 3,User 4,Web Page\r\n";
-					foreach($contacts as $index => $object){
-						$streamBuffer.= ",".$object['names_ordered'].",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,".$object['connection_value'].",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,\r\n";
+					foreach($all_contacts as $index => $object){
+						$streamBuffer.= ",".$object['name'].",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,".$object['phone'].",,,,,,,,,,,,".$object['email'].",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,\r\n";
 					}
 				break;
@@ -2479,13 +2492,13 @@
 				case 'thunderbird':
 					$streamBuffer = "";							
-					foreach($contacts as $index => $object){
-						$streamBuffer.= ",,".$object['names_ordered'].",,".$object['connection_value'].",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,\r\n";
+					foreach($all_contacts as $index => $object){
+						$streamBuffer.= ",,".$object['name'].",,".$object['email'].",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,\r\n";
 					}
 				break;
 				
 				default:
-					$streamBuffer = "Nome,Email,Nota\r\n";
-					foreach($contacts as $index => $object){
-						$streamBuffer.= $object['names_ordered'].",".$object['connection_value'].",\r\n";
+					$streamBuffer = "Nome,Email,Telefone\r\n";
+					foreach($all_contacts as $index => $object){
+						$streamBuffer.= $object['name'].",".$object['email'].",".$object['phone']."\r\n";
 					}
 				break;
@@ -2498,5 +2511,5 @@
 			if(!$f)
 				echo null;
-
+		
 			fputs($f,$streamBuffer);
 			fclose($f);
@@ -2504,4 +2517,5 @@
 			echo $tempDir.'/'.$file;
 		}
+
 
 		function import_contacts($typeImport){
@@ -2528,14 +2542,22 @@
 				switch($typeImport){
 					case 'outlook2000':
-						$namepos=1;
-						$emailpos=56;
+						$name_pos=1;
+						$email_pos=56;
+						$phone_pos=44;
+						break;
+					case 'outlook':
+						$name_pos=0;
+						$email_pos=1;
+						$phone_pos=7;
 						break;
 					case 'thunderbird':
-						$namepos=2;
-						$emailpos=4;
+						$name_pos=2;
+						$email_pos=4;
+						$phone_pos=5;
 						break;
 					default:
-						$namepos=0;
-						$emailpos=1;
+						$name_pos=0;
+						$email_pos=1;
+						$phone_pos=2;
 				}
 				
@@ -2546,15 +2568,17 @@
        				
 					$sdata = array();
-					$full_name  = trim($row[$header[$namepos]]);
-					$email		= trim($row[$header[$emailpos]]);
+					$full_name  = trim($row[$header[$name_pos]]);
+					$email		= trim($row[$header[$email_pos]]);
+					$phone		= trim($row[$header[$phone_pos]]);
 					$array_name = explode(' ', str_replace('"','',(str_replace('\'','',$full_name))));
 					$sdata['given_names'] = $array_name[0];
 					$array_name[0] = null;
 					$sdata['family_names'] = trim(implode(' ',$array_name));
-					//$sdata['connections']['default_phone']['connection_name'] = lang('Main');
-					//$sdata['connections']['default_phone']['connection_value'] = $tdata[3];
 					$sdata['connections']['default_email']['connection_name'] = lang('Main');
-					$sdata['connections']['default_email']['connection_value'] = $email;					
-
+					$sdata['connections']['default_email']['connection_value'] = $email;
+
+					$sdata['connections']['default_phone']['connection_name'] = lang('Main');
+					$sdata['connections']['default_phone']['connection_value'] = $phone;
+					
 					// 	verifica se email já existe!
 					$contact = $boGroup->verify_contact($email);
@@ -2565,5 +2589,5 @@
 					else if(!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$", $email)) {
 						$return['_failure']++;
-					}			
+					}
 					else if (!$sdata['given_names'] || !$email || !$boPeople ->quick_add($sdata)){						
 						$return['_failure']++;							
Index: trunk/contactcenter/js/cc.js
===================================================================
--- trunk/contactcenter/js/cc.js	(revision 12)
+++ trunk/contactcenter/js/cc.js	(revision 16)
@@ -2092,5 +2092,5 @@
 						'<img title="'+Element('cc_msg_card_edit').value+'" id="' + id + ':cc_card_edit" style="position: absolute; top: 35px; left: 222px; width: 18px; height: 18px; cursor: pointer; cursor: hand; z-index: 1" onclick="editContact(Element(\'' + id + ':cc_id\').value);" onmouseover="resizeIcon(\''+id+':cc_card_edit\',0)" onmouseout="resizeIcon(\''+id+':cc_card_edit\',1)" src="templates/default/images/cc_card_edit.png">' +
 						'<img title="'+Element('cc_msg_card_remove').value+'" id="' + id + ':cc_card_remove" style="position: absolute; top: 78px; left: 223px; width: 15px; height: 14px; cursor: pointer; cursor: hand; z-index: 1" onclick="removeEntry(Element(\'' + id + ':cc_id\').value);" onmouseover="resizeIcon(\''+id+':cc_card_remove\',0)" onmouseout="resizeIcon(\''+id+':cc_card_remove\',1)" src="templates/default/images/cc_x.png">' : '') +
-						'<img id="' + id + ':cc_photo" style="position: absolute; top: 7px; left: 7px;" src="" border="0" ondblclick="editContact(Element(\'' + id + ':cc_id\').value);">' + 
+						'<img id="' + id + ':cc_photo" style="position: absolute; top: 15px; left: 7px;" src="" border="0" ondblclick="editContact(Element(\'' + id + ':cc_id\').value);">' + 
 						'<span id="' + id + ':cc_company" style="position: absolute; top: 5px; left: 75px; width: 135px; border: 0px solid #999; font-weight: bold; font-size: 14px; text-align: center; height: 10px;" onmouseover="//Element(\''+id+':cc_company_full\').style.visibility=\'visible\'" onmouseout="//Element(\''+id+':cc_company_full\').style.visibility=\'hidden\'"></span>' +
 						'<span style="cursor: pointer; cursor: hand; z-index: 1;position: absolute; top: 100px; left: 35px"  valign="bottom" id="' + id + ':cc_icon_group">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>'+ 
Index: trunk/contactcenter/js/ccIEContacts.js
===================================================================
--- trunk/contactcenter/js/ccIEContacts.js	(revision 15)
+++ trunk/contactcenter/js/ccIEContacts.js	(revision 16)
@@ -27,4 +27,12 @@
 			this.el.style.width = this.wWidth	+ 'px';
 			this.el.style.height = this.wHeight + 'px';
+			if(is_ie) {
+				this.el.style.width = "430";
+				this.el.style.overflowY = "auto";	
+				this.el.style.overflowX = "hidden";
+			}													
+			else {									
+				this.el.style.overflow = "-moz-scrollbars-vertical";
+			}
 			this.el.id = 'cc_rectIEContacts';
 			document.body.appendChild(this.el);
Index: trunk/login.php
===================================================================
--- trunk/login.php	(revision 2)
+++ trunk/login.php	(revision 16)
@@ -196,5 +196,5 @@
 	{
 		// TEMPORÁRIO, Login com ou sem organização ////////////////////////////////////////////////////
-		$common = CreateObject('phpgwapi.common');
+		/*$common = CreateObject('phpgwapi.common');
 		$ldap_conn = $common->ldapConnect();
 		$justthese = array("uid");
@@ -207,4 +207,5 @@
 		}
 		ldap_close($ldap_conn);
+		*/
 		// TEMPORÁRIO, Login com ou sem organização ////////////////////////////////////////////////////
 
Index: trunk/expressoMail1_2/setup/phpmailer.lang-br.php
===================================================================
--- trunk/expressoMail1_2/setup/phpmailer.lang-br.php	(revision 2)
+++ trunk/expressoMail1_2/setup/phpmailer.lang-br.php	(revision 16)
@@ -19,4 +19,5 @@
 	$PHPMAILER_LANG["file_open"] = 'Erro de Arquivo: N&atilde;o foi poss&iacute;vel abrir o arquivo: ';
 	$PHPMAILER_LANG["encoding"] = 'Codifica&ccedil;&atilde;o desconhecida: ';
+	$PHPMAILER_LANG["not_allowed"] = 'Voc&ecirc; n&atilde;o tem permiss&atilde;o para enviar emails para: ';
 ?>
 
Index: trunk/expressoMail1_2/inc/class.phpmailer.php
===================================================================
--- trunk/expressoMail1_2/inc/class.phpmailer.php	(revision 2)
+++ trunk/expressoMail1_2/inc/class.phpmailer.php	(revision 16)
@@ -496,4 +496,5 @@
         if(count($bad_rcpt) > 0) // Create error message
         {
+        	$smtp_code_error = substr($this->smtp->error['smtp_msg'], 0, 5);
             for($i = 0; $i < count($bad_rcpt); $i++)
             {
@@ -501,5 +502,8 @@
                 $error .= $bad_rcpt[$i];
             }
-            $error = $this->Lang("recipients_failed") . $error;
+            if ($smtp_code_error == '5.7.1')
+            	$error = $this->Lang("not_allowed") . $error;
+            else
+            	$error = $this->Lang("recipients_failed") . $error;
             $this->SetError($error);
             $this->smtp->Reset();