Index: trunk/calendar/templates/default/link_pict.tpl
===================================================================
--- trunk/calendar/templates/default/link_pict.tpl	(revision 2)
+++ trunk/calendar/templates/default/link_pict.tpl	(revision 24)
@@ -18,5 +18,5 @@
 
 <!-- BEGIN link_text -->
-<nobr>&nbsp;<span style="color: black">{time}</span> {users_status}</nobr><br><b>{title}</b><br><i>{desc}</i> {location}
+<nobr>&nbsp;<FONT SIZE=1><span style="color: black">{time}</span> {users_status}</nobr><br><b>{title}</b><br><i>{desc}</i> {location}
 <!-- END link_text -->
 
Index: trunk/calendar/templates/celepar/month_day.tpl
===================================================================
--- trunk/calendar/templates/celepar/month_day.tpl	(revision 21)
+++ trunk/calendar/templates/celepar/month_day.tpl	(revision 24)
@@ -2,5 +2,5 @@
 <!-- BEGIN m_w_table -->
 
-<table id="calendar_m_w_table" class="calendar_print_main" border="1" width="100%">
+<table id="calendar_m_w_table" class="calendar_m_w_table" border="1" width="100%">
 	<! from month_header.tpl -->
 	{row}
@@ -9,5 +9,5 @@
 
 <!-- BEGIN month_daily -->
-<span id="calendar_m_w_table_daynumber" style="font-size:10px">[ {day_number} ]</span>{new_event_link}<br />
+<span class="screen_only">[ </span><span class="calendar_m_w_table_daynumber" >{day_number}</span><span class="screen_only"> ]</span>{new_event_link}<br />
     {daily_events}
 <!-- END month_daily -->
Index: trunk/calendar/templates/celepar/app_print.css
===================================================================
--- trunk/calendar/templates/celepar/app_print.css	(revision 21)
+++ trunk/calendar/templates/celepar/app_print.css	(revision 24)
@@ -1,2 +1,5 @@
+/* Este documento é um css somente para impressão do calendário no papel!
+O seu efeito não aparece na tela  */
+
 .calendar_print_main {
 	text-align:center;
@@ -8,12 +11,283 @@
 	margin: 5px;
 	padding: 5px;
-	height: 116px;
-	width: 480px;
+	height: 700px;
+	width: 600px;
 }
 .button {
-	font-family: Verdana, Arial, Helvetica, sans-serif;
+	display: none;
+}
+
+
+.to_continue
+{
+	font-size: 9px;
+}
+
+A.minicalendar 
+{ 
+	color: #000000; 
+	font-size: 9px;
+	
+}
+
+A.bminicalendar 
+{ 
+	color: #336699; 
+	font-style: italic;
+	font-weight: bold;
+	font-size: 9px; 
+}
+
+A.minicalendargrey 
+{ 
+	color: #999999; 
+	font-size: 10px;
+	font-weight: bold;
+}
+
+A.bminicalendargrey 
+{ 
+	color: #336699; 
+	font-style: italic; 
+	font-size:10px; 
+}
+
+A.minicalhol
+{ 
+	padding-left:3px;
+	padding-right:3px;
+	background: #dab0b0;
+	color: #000000; 
+	font-size: 10px; 
+}
+
+A.bminicalhol
+{ 
+	padding-left:3px;
+	padding-right:3px;
+	background: #dab0b0;
+	color: #336699; 
+	font-size: 10px; 
+}
+
+A.minicalgreyhol
+{ 
+	padding-left:3px;
+	padding-right:3px;
+	background: #dab0b0;
+	color: #999999; 
+	font-size: 10px; 
+}
+
+A.bminicalgreyhol
+{ 
+	padding-left:3px;
+	padding-right:3px;
+	background: #dab0b0;
+	color: #999999; 
+	font-size: 10px; 
+}
+
+
+.event-on
+{ 
+	background: #D3DCE3;
+	border: #E8F0F0 1px solid;
+}
+
+.event-off
+{ 
+	background: #E8F0F0;
+	border: #D3DCE3 1px solid;
+}
+
+.event-holiday
+{
+	font-size: 100%;
+	background: #dac0c0;
+	color:#000000;
+	vertical-align: middle;
+}
+
+.time
+{
+	background: #D3DCE3;
+	color:#000000;
+	font-size: 10px;
+	font-weight: bold;
+	vertical-align: middle;
+	width: 5.2%;
+	text-align: right;
+	padding-right: 5px;
+	line-height: 11px;
+	border: #E8F0F0 1px solid;
+}
+
+
+.planner-cell
+{
+	cursor: pointer;
+	cursor: hand;
+	border: thin solid black;
+}
+
+/* common */
+.calendar_link_print
+{
+	text-align: center;
+	font-size: 10px;
+}
+
+//Mini Calendar
+
+.calendar_minical_table
+{
+	width: 180px;
+	font-weight: bold;
+}
+
+.calendar_minical_daytable
+{
+	width: 100%;
+}
+
+.calendar_minical_dayname
+{
+	font-size: 9px;
+	text-align: right;
+}
+
+.calendar_minical_hrule
+{
+	width: 96%;
+}
+
+/* Header */
+.calendar_dropbuttons
+{
+	align: center;
+	text-align: center;
+	vertical-align: bottom;
+	font-weight: bold;
+	font-size: 8px;
+}
+
+.calendar-weekidentifier
+{
+	font-size:16px;
+	font-weight: bold;
+	text-align: center;
+}
+
+.calendar_header
+{
+	font-size: 16px;
+	font-weight: bold;
+	text-align: center;
+}
+
+.calendar_dayview_table_header
+{
+	font-size: 13px;
+	font-weight: bold;
+	text-align: center;
+}
+
+.calendar_dayview_todo_header
+{
+	margin: 0px; 
+	padding: 2px;
+	font-weight: bold;
+}
+
+/* week view */
+.calendar_week_identifier_table
+{
+	border: 0px solid black;
+	width: 100%;
+}
+
+.calendar_week_identifier
+{
+	font-size: 13px;
+	text-align: center;
+	font-weight: bold;
+}
+
+.calendar_weekview_daytitle
+{
+	font-weight: bold;
 	font-size: 12px;
-	color: 006699;
-	background-color: #D4D0C8;
-	border: 2px solid #666666;
-}
+	background: #D3DCE3;
+}
+
+.calendar_m_w_table
+{
+	table-layout:fixed;
+	overflow:hidden;
+	height: 95%;
+	width: 100%;
+	border: 0px #000000 solid;
+}
+
+.calendar_m_w_tablecell
+{
+	overflow:hidden;
+	vertical-align: top;
+	padding-left: 4px;
+	padding-right: 4px;
+	padding-bottom: 6px;
+}
+
+.screen_only
+{
+	display:none;
+}
+
+.calendar_m_w_table_daynumber
+{
+	font-weight: bold;
+	font-family: Arial;
+	font-size: 13px;
+	vertical-align: top;
+	background-color: #778899;
+	border: 1px solid #000000;
+	margin: 1px;
+	padding: 1px;
+}
+
+A.event_entry
+{
+	font-size:10px;
+}
+
+/* month view */
+
+.calendar_month_identifier
+{
+	font-size:18px;
+	font-weight: bold;
+}
+
+.calendar_user_identifier
+{
+	font-size:12px;
+	color: #009999;
+	font-weight: bold;
+}
+
+.calendar_week_minical_table
+{
+	width:100%;
+	border: 0px solid #000000
+}
+
+.calendar_weekinfo
+{
+	color: #000000;
+	padding-left: 2px;
+	padding-right: 2px;
+	font-size: 10px;
+	font-weight: bold;
+	font-style: italic;
+}
Index: trunk/calendar/templates/celepar/app.css
===================================================================
--- trunk/calendar/templates/celepar/app.css	(revision 23)
+++ trunk/calendar/templates/celepar/app.css	(revision 24)
@@ -1,3 +1,24 @@
 /* CSS Document */
+.calendar_print_main {
+	text-align:center;
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 8px;
+	color: #000066;
+	background-color: #F7F7F7;
+	border: 1px solid #CCCCCC;
+	margin: 5px;
+	padding: 5px;
+	height: 116px;
+	width: 480px;
+}
+
+.button
+{
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 14px;
+	color: 006699;
+	background-color: #D4D0C8;
+	border: 2px solid #666666;
+}
 
 .to_continue
@@ -207,6 +228,6 @@
 {
 	table-layout:fixed;
-	overflow:auto;
-	height: 100%;
+	overflow:hidden;
+	height: 95%;
 	width: 100%;
 	border: 0px #000000 solid;
@@ -215,4 +236,5 @@
 .calendar_m_w_tablecell
 {
+	overflow:hidden;
 	vertical-align: top;
 	padding-left: 4px;
@@ -221,4 +243,15 @@
 }
 
+.screen_only
+{
+	font-size: 10px;
+}
+
+.calendar_m_w_table_daynumber
+{
+	font-weight: bold;
+	font-size: 10px;
+}
+
 A.event_entry
 {